# Introduction

Typically you start by using an existing distribution, then override some variables to define which software you want or don't want and how to configure them.


## Add new software

When needed you can write a new recipe to add a specific software that is not in Yocto recipes.


## Customize existing recipe

To customize an existing recipe, you have to create a folder and a `.bbappend` file with the same name as the recipe:
```raw
$POKY
└─ meta
   └─ recipes-devtools
      └─ apt
         └─ apt_0.9.9.4.bb => Original recipe

$LAYER
└─ recipes-*
   └─ apt
      └── apt_0.9.9.4.bbappend => Override
```