# Cleaning


## Clean a single target

```bash
TARGET=binutils-cross-i586
bitbake $TARGET -c cleanall
```

## Clean everything

```bash
bitbake world -c cleanall
cd $POKY
rm -rf build/sstate-cache build/tmp
```


## About _tmp_ & _sstate_

- `build/tmp` contains sources, build files, created packages, temporary rootfs, staging area, etc. You may need to remove it sometime.
- `build/sstate-cache` contains downloaded files, ie source tarballs. You are unlikely to have to remove this folder.


